View Issue Details

IDProjectCategoryView StatusLast Update
0002520DrawingBugpublic2018-02-10 09:54
ReporterberkaAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel x86-64OSMacOSXOS Version10.11.4 (15E65)
Product Version0.16 
Target VersionFixed in Version 
Summary0002520: Dimension Arrows incorrectly scaled or placed in Export PDF (fixed in Qt5)
DescriptionWhen I export PDF from a dimensioned drawing, the dimension arrows do not line up properly with the extension lines.
(Arrows may also be the wrong size, I'm not sure.)
Steps To ReproduceCreate a part
Create Dimensions in Draft View
Create a Drawing Page
Add a part view to drawing
Add a dimensions to drawing.
Export PDF
Open PDF and look at dimension arrows.

Additional InformationOS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6702 (Git)
Build type: Release
Branch: (detached from d2a08df)
Hash: d2a08df5e2db1c9c1dfa39dd45f1a306b3955cdc
Python version: 2.7.11
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.8.0.oce-0.17
TagsQt, Qt5, upstream

Relationships

related to 0002034 closedyorik Part Measurement arrowheads are ridiculously out of proportion at some scales/zooms/measurements. 

Activities

berka

2016-04-23 20:45

reporter  

PDFExportDimArrow.FCStd (49,717 bytes)

berka

2016-04-23 20:46

reporter  

PDFExportDimArrow.pdf (342,789 bytes)

yorik

2016-04-26 22:43

administrator   ~0007007

Apparently they are printed on the pdf doc with a thicker linewidth than on the svg sheet... I'm afraid this won't be very easy to fix becuase it's handled directly by QT. As a workaround, you can export to SVG, then open that SVG in inkscape and export as PDF. You'll have much better control over the output.

Kunda1

2017-01-14 01:29

administrator   ~0007748

@yorik Is this better in Qt5?

yorik

2017-01-14 02:00

administrator   ~0007749

I have not built FreeCAD with Qt5 yet...I'll assign this one to myself so I don't forget to look

Kunda1

2017-02-02 11:46

administrator  

PDFExportDimArrow.png (25,853 bytes)
PDFExportDimArrow.png (25,853 bytes)

normandc

2017-06-17 21:32

manager   ~0009425

Another report wrongly attributed to PartDesign. This is about the Drawing workbench!!!

Kunda1

2017-06-21 11:03

administrator   ~0009480

Last edited: 2017-06-21 11:04

View 2 revisions

@wandererfan do you mind weighing in?

Kunda1

2017-06-27 11:32

administrator   ~0009559

Linked 0002034

wmayer

2018-01-04 11:53

administrator   ~0010699

With Qt5 this issue will be fixed.

wmayer

2018-02-10 09:54

administrator   ~0010940

Will be automatically fixed in v0.18 when we have moved to Qt5.

Issue History

Date Modified Username Field Change
2016-04-23 20:45 berka New Issue
2016-04-23 20:45 berka File Added: PDFExportDimArrow.FCStd
2016-04-23 20:46 berka File Added: PDFExportDimArrow.pdf
2016-04-26 22:43 yorik Note Added: 0007007
2017-01-14 01:28 Kunda1 Tag Attached: Qt
2017-01-14 01:29 Kunda1 Note Added: 0007748
2017-01-14 02:00 yorik Note Added: 0007749
2017-01-14 02:01 yorik Assigned To => yorik
2017-01-14 02:01 yorik Status new => assigned
2017-01-30 20:07 Kunda1 Tag Attached: Qt5
2017-02-02 11:46 Kunda1 File Added: PDFExportDimArrow.png
2017-05-01 23:13 Kunda1 Target Version => 0.17
2017-05-01 23:47 Kunda1 Tag Attached: #lowhangingfruit
2017-06-17 21:32 normandc Note Added: 0009425
2017-06-17 21:33 normandc Project PartDesign => Drawing
2017-06-21 11:03 Kunda1 Note Added: 0009480
2017-06-21 11:04 Kunda1 Note Edited: 0009480 View Revisions
2017-06-27 11:31 Kunda1 Relationship added related to 0002034
2017-06-27 11:32 Kunda1 Note Added: 0009559
2018-01-04 11:53 wmayer Status assigned => resolved
2018-01-04 11:53 wmayer Resolution open => fixed
2018-01-04 11:53 wmayer Fixed in Version => 0.17
2018-01-04 11:53 wmayer Note Added: 0010699
2018-01-05 21:57 Kunda1 Tag Attached: upstream
2018-01-05 21:57 Kunda1 Tag Detached: #lowhangingfruit
2018-01-23 19:02 Kunda1 Summary Dimension Arrows incorrectly scaled or placed in Export PDF => Dimension Arrows incorrectly scaled or placed in Export PDF (fixed in Qt5)
2018-02-10 09:54 wmayer Status resolved => closed
2018-02-10 09:54 wmayer Target Version 0.17 => 0.18
2018-02-10 09:54 wmayer Note Added: 0010940